package com.chenyang.nse.bussiness.entity.orm.table.core.rule.app;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "t_console_appdatarule"
)
public class AppDataRule extends TInitEntity {
   private String rulename;
   private String type;
   private String belongtogroup;
   private String remark;
   private String desensitizationexpression;
   private String auditswitch;
   private String isdefault;

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getBelongtogroup() {
      return this.belongtogroup;
   }

   public void setBelongtogroup(String belongtogroup) {
      this.belongtogroup = belongtogroup;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getDesensitizationexpression() {
      return this.desensitizationexpression;
   }

   public void setDesensitizationexpression(String desensitizationexpression) {
      this.desensitizationexpression = desensitizationexpression;
   }

   public String getAuditswitch() {
      return this.auditswitch;
   }

   public void setAuditswitch(String auditswitch) {
      this.auditswitch = auditswitch;
   }

   public String getIsdefault() {
      return this.isdefault;
   }

   public void setIsdefault(String isdefault) {
      this.isdefault = isdefault;
   }
}
